<div *ngIf="ShowFilter">
  <div class="my-auto col-md-12 col-md-offset-3" *ngIf="loadingPage">
    <div class="container-fluid col-md-6 mx-auto shadow p-3 mb-5 bg-white rounded">
      <form class="example-form" [formGroup]="formGroup" (ngSubmit)="onFormSubmit(formGroup.value)" ngNativeValidate>
        <select class='form-control' formControlName="hotel">
          <option *ngFor="let hotel of listHotels" value='{{hotel?.hotelId}}'>{{hotel?.hotelName}}</option>
        </select>
        <button class='form-control btn btn-primary' type='submit' (click)="onFormSubmit(formGroup.value)" [disabled]='!formGroup.valid'>Choisir
          cet hôtel</button>
      </form>
    </div>
  </div>

  <div class="my-auto col-md-12 col-md-offset-3" *ngIf="loadingFlatCategories">
    <div class="container-fluid col-md-6 mx-auto shadow p-3 mb-5 bg-white rounded">
      <form class="example-form" [formGroup]="flatCategoriesForm" (ngSubmit)="selectCategory(flatCategoriesForm.value)"
        ngNativeValidate>
        <select class='form-control' formControlName="category">
          <option *ngFor="let category of listCategory" value='{{category?.flatCategoryId}}'>{{category?.flatCategoryName}}</option>
        </select>
        <button class='form-control btn btn-primary' type='submit' (click)="selectCategory(flatCategoriesForm.value)"
          [disabled]='!flatCategoriesForm.valid'>Choisir cette catégorie d'appartement</button>
      </form>
    </div>
  </div>
</div>

<div *ngIf="ShowPrice">
  <div class="ContainerbtnBack">
    <button class="btn-add btn btn-circle btn-lg shadow btn-primary" appOcticons octicon="arrow-left" width="100%"
      placeholder="Retour" (click)="goBack()"></button>
  </div>
  <div class="my-auto col-md-12 col-md-offset-3" *ngIf="loadingPrices">
    <div class="container-fluid col-md-6 mx-auto shadow p-3 mb-5 bg-white rounded">
      <form class="example-form" [formGroup]="pricesForm" (ngSubmit)="changePrices(pricesForm.value)" ngNativeValidate>
        <div class="form-group row">
          <label class="col-4 col-form-label">
            Inter-saison hivernale:
          </label>
          <label class="col-4 col-form-label">
            {{startWinterInterSeason | date: 'dd/MM/yyyy'}}-{{endWinterInterSeason | date:
            'dd/MM/yyyy'}}
          </label>

          <div class="col-2">
            <input type="number" class="form-control" id="1" formControlName="priceWinterInterSeason" [ngModel]="priceWinterInterSeason">
          </div>
          <div class="col-2">
            €
          </div>
        </div>
        <div class="form-group row">
          <label class="col-4 col-form-label">Noël:
          </label>
          <label class="col-4 col-form-label">{{startChristmas | date: 'dd/MM/yyyy'}}-{{endChristmas | date:
            'dd/MM/yyyy'}}
          </label>
          <div class="col-2">
            <input type="number" class="form-control" id="2" formControlName="priceChristmas" [ngModel]="priceChristmas">
          </div>
          <div class="col-2">
            €
          </div>
        </div>
        <div class="form-group row">
          <label class="col-4 col-form-label">Jour de l'An:
          </label>
          <label class="col-4 col-form-label">{{startNewYear | date: 'dd/MM/yyyy'}}-{{endNewYear |
            date:
            'dd/MM/yyyy'}}
          </label>
          <div class="col-2">
            <input type="number" class="form-control" id="3" formControlName="priceNewYear" [ngModel]="priceNewYear">
          </div>
          <div class="col-2">
            €
          </div>
        </div>
        <div class="form-group row">
          <label class="col-4 col-form-label">Janv/Fev la semaine:
          </label>
          <label class="col-4 col-form-label">{{startJanFebWeek | date:
            'dd/MM/yyyy'}}-{{endJanFebWeek | date:
            'dd/MM/yyyy'}}
          </label>
          <div class="col-2">
            <input type="number" class="form-control" id="4" formControlName="priceJanFebWeek" [ngModel]="priceJanFebWeek">
          </div>
          <div class="col-2">
            €
          </div>
        </div>
        <div class="form-group row">
          <label class="col-4 col-form-label">Vacances Février:
          </label>
          <label class="col-4 col-form-label">{{startFebVacation | date:
            'dd/MM/yyyy'}}-{{endFebVacation
            | date:
            'dd/MM/yyyy'}}
          </label>
          <div class="col-2">
            <input type="number" class="form-control" id="5" formControlName="priceFebVacation" [ngModel]="priceFebVacation">
          </div>
          <div class="col-2">
            €
          </div>
        </div>
        <div class="form-group row">
          <label class="col-4 col-form-label">Mars/Avril:
          </label>
          <label class="col-4 col-form-label">{{startMarchApril | date: 'dd/MM/yyyy'}}-{{endMarchApril |
            date:
            'dd/MM/yyyy'}}
          </label>
          <div class="col-2">
            <input type="number" class="form-control" id="6" formControlName="priceMarchApril" [ngModel]="priceMarchApril">
          </div>
          <div class="col-2">
            €
          </div>
        </div>
        <div class="form-group row">
          <label class="col-4 col-form-label">Vacances de pâques:
          </label>
          <label class="col-4 col-form-label">{{startEaster | date:
            'dd/MM/yyyy'}}-{{endEaster | date:
            'dd/MM/yyyy'}}
          </label>
          <div class="col-2">
            <input type="number" class="form-control" id="7" formControlName="priceEaster" [ngModel]="priceEaster">
          </div>
          <div class="col-2">
            €
          </div>
        </div>
        <div class="form-group row">
          <label class="col-4 col-form-label">Inter-saison estivale:
          </label>
          <label class="col-4 col-form-label">{{startSummerInterSeason | date:
            'dd/MM/yyyy'}}-{{endSummerInterSeason | date:
            'dd/MM/yyyy'}}
          </label>
          <div class="col-2">
            <input type="number" class="form-control" id="8" formControlName="priceSummerInterSeason" [ngModel]="priceSummerInterSeason">
          </div>
          <div class="col-2">
            €
          </div>
        </div>
        <div class="form-group row">
          <label class="col-4 col-form-label">Basse saison fin juin:
          </label>
          <label class="col-4 col-form-label">{{startEndJune | date:
            'dd/MM/yyyy'}}-{{endEndJune | date:
            'dd/MM/yyyy'}}
          </label>
          <div class="col-2">
            <input type="number" class="form-control" id="9" formControlName="priceEndJune" [ngModel]="priceEndJune">
          </div>
          <div class="col-2">
            €
          </div>
        </div>
        <div class="form-group row">
          <label class="col-4 col-form-label">Moyenne saison début juillet:
          </label>
          <label class="col-4 col-form-label">{{startMiddleJuly | date:
            'dd/MM/yyyy'}}-{{endMiddleJuly | date:
            'dd/MM/yyyy'}}
          </label>
          <div class="col-2">
            <input type="number" class="form-control" id="10" formControlName="priceMiddleJuly" [ngModel]="priceMiddleJuly">
          </div>
          <div class="col-2">
            €
          </div>
        </div>
        <div class="form-group row">
          <label class="col-4 col-form-label">Haute saison juillet/août:
          </label>
          <label class="col-4 col-form-label">{{startJulyAugust | date:
            'dd/MM/yyyy'}}-{{endJulyAugust | date:
            'dd/MM/yyyy'}}
          </label>
          <div class="col-2">
            <input type="number" class="form-control" id="11" formControlName="priceJulyAugust" [ngModel]="priceJulyAugust">
          </div>
          <div class="col-2">
            €
          </div>
        </div>
        <div class="form-group row">
          <label class="col-4 col-form-label">Moyenne saison août:
          </label>
          <label class="col-4 col-form-label">{{startAugust | date:
            'dd/MM/yyyy'}}-{{endAugust | date:
            'dd/MM/yyyy'}}
          </label>
          <div class="col-2">
            <input type="number" class="form-control" id="12" formControlName="priceAugust" [ngModel]="priceAugust">
          </div>
          <div class="col-2">
            €
          </div>
        </div>
        <div class="form-group row">
          <label class="col-4 col-form-label">Basse saison début septembre:
          </label>
          <label class="col-4 col-form-label">{{startSeptember | date:
            'dd/MM/yyyy'}}-{{endSeptember | date:
            'dd/MM/yyyy'}}
          </label>
          <div class="col-2">
            <input type="number" class="form-control" id="13" formControlName="priceSeptember" [ngModel]="priceSeptember">
          </div>
          <div class="col-2">
            €
          </div>
        </div>
        <div class="form-group row">
          <label class="col-8 col-form-label">Tarif nuitée:</label>
          <div class="col-2">
            <input type="number" class="form-control" id="14" formControlName="priceNight" [ngModel]="priceNight">
          </div>
          <div class="col-2">
            €
          </div>
        </div>
        <button class='form-control btn btn-primary' type='submit' (click)="changePrices(pricesForm.value)" [disabled]='!pricesForm.valid'>Modifier
          prix</button>
      </form>
    </div>
  </div>
</div>
